import { baseRequest } from '@/utils/request'
const request = (url, ...arg) => baseRequest(`/openGovernment/ogAnnualReport/` + url, ...arg)
const request1 = (url, ...arg) => baseRequest(`/openGovernment/ogAnnualReportService/` + url, ...arg)

export default {
	// 公开年报管理
	reportPage(data) {
		return request('page', data, 'get')
	},
	//启用禁用delete
	reportType(data) {
		return request('enableAndDisable', data, 'post')
	},
	//add
	reportAdd(data) {
		return request('add', data, 'post')
	},
	//view
	reportView(data) {
		return request1('detail', data, 'get')
	},
	// edit
	reportEdit(data) {
		return request('edit', data, 'post')
	},
	// 删除
	reportDel(data) {
		return request('delete', data, 'post')
	}
}
